#
# spec file for package netdate (Version 1.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         netdate
Copyright:    public domain
Group:        Networking/Utilities
Provides:     nkitb:/usr/sbin/netdate
Autoreqprov:  on
Version:      1.2
Release:      111
Summary:      Set date and time by ARPA Internet RFC 868
URL:          http://www.ibiblio.org/pub/linux/system/network/sunacm/Other/netdate/
Source:       %{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
Netdate takes a list of names of Internet hosts as arguments,
selects the one which supplies the best time, and sets the system
time accordingly.
The ``best'' time is chosen by polling the named hosts once each
to find their times and taking their differences from the local
host's time. These differences are used to find the largest group
of hosts whose times agree with each other within a certain limit.
The first host in the largest group is picked as the best host.

SuSE series: n

%prep
%setup -n netdate
%patch

%build
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man8
make DESTDIR=$RPM_BUILD_ROOT/ install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc COPYRIGHT
%doc %{_mandir}/man?/*
/usr/sbin/netdate

%changelog -n netdate
* Tue Apr 10 2001 - kukuk@suse.de
- Add IPv6 support
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Mon Feb 19 2001 - cihlar@suse.cz
- compile with $RPM_OPT_FLAGS and -D_GNU_SOURCE
- fixed file list
* Fri Dec 01 2000 - smid@suse.cz
- new version 1.2
* Sat Apr 15 2000 - kukuk@suse.de
- Initial package, split from nkitb.
